package com.hikcreate.edl.pub.web.mobile.infra.core.Result;

import com.hikcreate.common.sdk.response.statuscode.IStatusCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: xieshixiang
 * @time：2020/6/24 10:28
 **/
@AllArgsConstructor
@Getter
public enum  ResultCode  {

    SUCCESS(1000, "操作成功"),
    SYSTEM_ERROR(1001, "系统出现错误[1001]"),
    PERMISSION_DENIED(1002, "没有权限"),
    DATA_ERROR(1003, "数据错误"),
    REPEAT_SUBMIT(1004, "重复提交"),
    PARAM_ERROR(1005, "参数错误"),
    BUSINESS_ERROR(1006, "业务错误"),
    SIGN_ERROR(1007, "登录失效"),
    NO_TOKEN(1008, "登录失效，请重新登录"),
    CROWDED_ERROR(1009, "被挤下线"),
    INVALID_TOKEN(1010, "登录失效，请重新登录"),
    EXPIRED_TOKEN(1011, "登录失效，请重新登录"),
    OUTDATE_WEAPP_VERSION(1012, "有更新的版本，请重启小程序"),
    ACCOUNT_IS_FROZEN(1013, "用户账号被冻结"),
    INVALID_REQUEST(1014, "非法的请求"),
    ALERT_ERROR(1015, "业务错误"),
    BLANK_BOX_ERROR(1016, "空盒子错误"),
    BLANK_LIST_ERROR(1017, "空列表错误"),
    ;

    /**
     * 状态码
     */
    private long code;

    /**
     * 描述信息
     */
    private String msg;


}
